
From: Hans Reiser <reiser@namesys.com>

Reiser4 implements read without help of generic_file_read, but it uses
page_cache_readahead.  So, this patch makes page_cache_readahead
EXPROT_SYMBOL.  Future filesystems may find this patch useful as well.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/readahead.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN mm/readahead.c~reiser4-export-page_cache_readahead mm/readahead.c
--- devel/mm/readahead.c~reiser4-export-page_cache_readahead	2005-08-06 15:35:09.000000000 -0700
+++ devel-akpm/mm/readahead.c	2005-08-06 15:35:09.000000000 -0700
@@ -526,6 +526,7 @@ page_cache_readahead(struct address_spac
 out:
 	return ra->prev_page + 1;
 }
+EXPORT_SYMBOL(page_cache_readahead);
 
 /*
  * handle_ra_miss() is called when it is known that a page which should have
@@ -543,6 +544,7 @@ void handle_ra_miss(struct address_space
 	ra->flags &= ~RA_FLAG_INCACHE;
 	ra->cache_hit = 0;
 }
+EXPORT_SYMBOL(handle_ra_miss);
 
 /*
  * Given a desired number of PAGE_CACHE_SIZE readahead pages, return a
_
